com.io7m.jcamera

## Interface JCameraSphericalSnapshotType

- All Superinterfaces:
    JCameraReadableSnapshotType, JCameraReadableType, JCameraSphericalReadableType
  All Known Implementing Classes:
    JCameraSphericalSnapshot

      public interface JCameraSphericalSnapshotType
      extends JCameraSphericalReadableType, JCameraReadableSnapshotType

  An immutable snapshot of a camera.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `cameraGetAngleHeading()`
    `double` | `cameraGetAngleIncline()`
    `com.io7m.jtensors.core.unparameterized.vectors.Vector3D` | `cameraGetForward()`
    `com.io7m.jtensors.core.unparameterized.vectors.Vector3D` | `cameraGetForwardProjectedOnXZ()`
    `com.io7m.jtensors.core.unparameterized.vectors.Vector3D` | `cameraGetPosition()`
    `com.io7m.jtensors.core.unparameterized.vectors.Vector3D` | `cameraGetRight()`
    `com.io7m.jtensors.core.unparameterized.vectors.Vector3D` | `cameraGetTargetPosition()`
    `com.io7m.jtensors.core.unparameterized.vectors.Vector3D` | `cameraGetUp()`
    `double` | `cameraGetZoom()`
    `default com.io7m.jtensors.core.unparameterized.matrices.Matrix4x4D` | `cameraMakeViewMatrix()` Construct a view matrix for the camera.
    `default <T0,T1> com.io7m.jtensors.core.parameterized.matrices.PMatrix4x4D<T0,T1>` | `cameraMakeViewPMatrix()` Construct a view matrix for the camera.

- - ### Method Detail

    - #### cameraGetRight

          com.io7m.jtensors.core.unparameterized.vectors.Vector3D cameraGetRight()

      Specified by:
        `cameraGetRight` in interface `JCameraSphericalReadableType`
      Returns:
        The right direction for the camera.

    - #### cameraGetUp

          com.io7m.jtensors.core.unparameterized.vectors.Vector3D cameraGetUp()

      Specified by:
        `cameraGetUp` in interface `JCameraSphericalReadableType`
      Returns:
        The up direction for the camera.

    - #### cameraGetForward

          com.io7m.jtensors.core.unparameterized.vectors.Vector3D cameraGetForward()

      Specified by:
        `cameraGetForward` in interface `JCameraSphericalReadableType`
      Returns:
        The forward direction for the camera.

    - #### cameraGetPosition

          com.io7m.jtensors.core.unparameterized.vectors.Vector3D cameraGetPosition()

      Specified by:
        `cameraGetPosition` in interface `JCameraSphericalReadableType`
      Returns:
        The position of the camera.

    - #### cameraGetAngleHeading

          double cameraGetAngleHeading()

      Specified by:
        `cameraGetAngleHeading` in interface `JCameraSphericalReadableType`
      Returns:
        The angle around the vertical axis.

    - #### cameraGetAngleIncline

          double cameraGetAngleIncline()

      Specified by:
        `cameraGetAngleIncline` in interface `JCameraSphericalReadableType`
      Returns:
        The angle around the horizontal axis.

    - #### cameraGetZoom

          double cameraGetZoom()

      Specified by:
        `cameraGetZoom` in interface `JCameraSphericalReadableType`
      Returns:
        The zoom (or radius) of the camera.

    - #### cameraGetForwardProjectedOnXZ

          com.io7m.jtensors.core.unparameterized.vectors.Vector3D cameraGetForwardProjectedOnXZ()

      Specified by:
        `cameraGetForwardProjectedOnXZ` in interface `JCameraSphericalReadableType`
      Returns:
        The forward direction for the camera, projected onto the X/Z plane.

    - #### cameraGetTargetPosition

          com.io7m.jtensors.core.unparameterized.vectors.Vector3D cameraGetTargetPosition()

      Specified by:
        `cameraGetTargetPosition` in interface `JCameraSphericalReadableType`
      Returns:
        The position of the camera target.

    - #### cameraMakeViewMatrix

          default com.io7m.jtensors.core.unparameterized.matrices.Matrix4x4D cameraMakeViewMatrix()

      Description copied from interface: `JCameraReadableType`
      Construct a view matrix for the camera.
      Specified by:
        `cameraMakeViewMatrix` in interface `JCameraReadableType`
      Returns:
        A view matrix for the camera

    - #### cameraMakeViewPMatrix

          default <T0,T1> com.io7m.jtensors.core.parameterized.matrices.PMatrix4x4D<T0,T1> cameraMakeViewPMatrix()

      Description copied from interface: `JCameraReadableType`
      Construct a view matrix for the camera.
      Specified by:
        `cameraMakeViewPMatrix` in interface `JCameraReadableType`
      Type Parameters:
        `T0` - The source coordinate system
        `T1` - The target coordiante system
      Returns:
        A view matrix for the camera

Copyright © 2017 <code@io7m.com> http://io7m.com